
# Alert::__construct 

### Usage

>  Alert::__construct(int $id, [ bool $is_read = false ], [ string $type = 'alert' ], [ string $uuid = '' ], [ string $sender = '' ], [ string $badge = '' ], [ string $url = '' ], [ string $title = '' ], [ string $contents = '' ], [ ?DateTime $created_at = null ], [ ?DateTime $read_at = null ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | Yes | int |
is_read | No | bool |
type | No | string |
uuid | No | string |
sender | No | string |
badge | No | string |
url | No | string |
title | No | string |
contents | No | string |
created_at | No | ?DateTime |
read_at | No | ?DateTime |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [markRead()](markread)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toDisplayArray()](todisplayarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


